import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/form/page/form_page.dart';


part 'form_page_router.gr.dart';

/*\
 * Form模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class FormPageRouter extends _$FormPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: FormPageRoute.page, path: RouterPath.form, transitionsBuilder: applySlideTransition),
  ];
}
