/*
 * Community 组件的组件路由
 */
import 'package:flutter/cupertino.dart';
import 'package:router/componentRouter/service_service.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/services/services_page.dart';

part 'services_component_service.g.dart';

@Riverpod(keepAlive: true)
ServiceService servicesService(Ref ref) {
  return ServicesComponentService();
}

class ServicesComponentService extends ServiceService {

  @override
  void startServicePage() {
    ServicesPage.startInstance();
  }
}
